Support for Amazon Fire TV

FilmStruck supports 1st generation and higher Amazon Fire TV pucks and sticks, operating version 5.0 and higher. 

PLEASE NOTE: If you have an older 1st Generation Fire TV Stick, audio playback lag could appear if your Fire Stick has low memory or poor internet connectivity.  2nd generation Amazon Fire TV Sticks users do not report this issue.

Please refer to our entry in Troubleshooting on commonly reported issues across all streaming services you may experience with First Generation Fire TV Sticks.

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request